package com.mortals.xhx.module.care.model;

import java.util.List;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.care.model.CareConstraintEntity;
/**
* 主动关怀服务约束查询对象
*
* @author zxfei
* @date 2023-04-09
*/
public class CareConstraintQuery extends CareConstraintEntity {
    /** 开始 主键ID */
    private Long idStart;

    /** 结束 主键ID */
    private Long idEnd;

    /** 增加 主键ID */
    private Long idIncrement;

    /** 主键ID列表 */
    private List <Long> idList;

    /** 主键ID排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 人员ID */
    private Long personIdStart;

    /** 结束 人员ID */
    private Long personIdEnd;

    /** 增加 人员ID */
    private Long personIdIncrement;

    /** 人员ID列表 */
    private List <Long> personIdList;

    /** 人员ID排除列表 */
    private List <Long> personIdNotList;

    /** 姓名 */
    private List<String> nameList;

    /** 姓名排除列表 */
    private List <String> nameNotList;
    /** 联系方式 */
    private List<String> contactList;

    /** 联系方式排除列表 */
    private List <String> contactNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 开始 服务频次 */
    private Long serviceFrequencyStart;

    /** 结束 服务频次 */
    private Long serviceFrequencyEnd;

    /** 增加 服务频次 */
    private Long serviceFrequencyIncrement;

    /** 服务频次列表 */
    private List <Long> serviceFrequencyList;

    /** 服务频次排除列表 */
    private List <Long> serviceFrequencyNotList;

    /** 开始 跟踪时间 */
    private String trackingTimeStart;

    /** 结束 跟踪时间 */
    private String trackingTimeEnd;

    /** 开始 创建方式(1.人工创建,2.系统推荐) */
    private Integer createWayStart;

    /** 结束 创建方式(1.人工创建,2.系统推荐) */
    private Integer createWayEnd;

    /** 增加 创建方式(1.人工创建,2.系统推荐) */
    private Integer createWayIncrement;

    /** 创建方式(1.人工创建,2.系统推荐)列表 */
    private List <Integer> createWayList;

    /** 创建方式(1.人工创建,2.系统推荐)排除列表 */
    private List <Integer> createWayNotList;

    /** 操作人员 */
    private List<String> operatorList;

    /** 操作人员排除列表 */
    private List <String> operatorNotList;
    /** 开始 是否追踪 (0.否，1.是) */
    private Integer trackStart;

    /** 结束 是否追踪 (0.否，1.是) */
    private Integer trackEnd;

    /** 增加 是否追踪 (0.否，1.是) */
    private Integer trackIncrement;

    /** 是否追踪 (0.否，1.是)列表 */
    private List <Integer> trackList;

    /** 是否追踪 (0.否，1.是)排除列表 */
    private List <Integer> trackNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人ID */
    private Long createUserIdStart;

    /** 结束 创建人ID */
    private Long createUserIdEnd;

    /** 增加 创建人ID */
    private Long createUserIdIncrement;

    /** 创建人ID列表 */
    private List <Long> createUserIdList;

    /** 创建人ID排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人ID */
    private Long updateUserIdStart;

    /** 结束 更新人ID */
    private Long updateUserIdEnd;

    /** 增加 更新人ID */
    private Long updateUserIdIncrement;

    /** 更新人ID列表 */
    private List <Long> updateUserIdList;

    /** 更新人ID排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CareConstraintQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CareConstraintQuery> andConditionList;

    public CareConstraintQuery(){}

    /**
    * 获取 开始 主键ID
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点Id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 开始 人员ID
    * @return personIdStart
    */
    public Long getPersonIdStart(){
        return this.personIdStart;
    }

    /**
    * 设置 开始 人员ID
    * @param personIdStart
    */
    public void setPersonIdStart(Long personIdStart){
        this.personIdStart = personIdStart;
    }

    /**
    * 获取 结束 人员ID
    * @return $personIdEnd
    */
    public Long getPersonIdEnd(){
        return this.personIdEnd;
    }

    /**
    * 设置 结束 人员ID
    * @param personIdEnd
    */
    public void setPersonIdEnd(Long personIdEnd){
        this.personIdEnd = personIdEnd;
    }

    /**
    * 获取 增加 人员ID
    * @return personIdIncrement
    */
    public Long getPersonIdIncrement(){
        return this.personIdIncrement;
    }

    /**
    * 设置 增加 人员ID
    * @param personIdIncrement
    */
    public void setPersonIdIncrement(Long personIdIncrement){
        this.personIdIncrement = personIdIncrement;
    }

    /**
    * 获取 人员ID
    * @return personIdList
    */
    public List<Long> getPersonIdList(){
        return this.personIdList;
    }

    /**
    * 设置 人员ID
    * @param personIdList
    */
    public void setPersonIdList(List<Long> personIdList){
        this.personIdList = personIdList;
    }

    /**
    * 获取 人员ID
    * @return personIdNotList
    */
    public List<Long> getPersonIdNotList(){
        return this.personIdNotList;
    }

    /**
    * 设置 人员ID
    * @param personIdNotList
    */
    public void setPersonIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
    }


    /**
    * 获取 姓名
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 姓名
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 姓名
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 联系方式
    * @return contactList
    */
    public List<String> getContactList(){
        return this.contactList;
    }

    /**
    * 设置 联系方式
    * @param contactList
    */
    public void setContactList(List<String> contactList){
        this.contactList = contactList;
    }

    /**
    * 获取 联系方式
    * @return contactNotList
    */
    public List<String> getContactNotList(){
        return this.contactNotList;
    }

    /**
    * 设置 联系方式
    * @param contactNotList
    */
    public void setContactNotList(List<String> contactNotList){
        this.contactNotList = contactNotList;
    }

    /**
    * 获取 身份证号码
    * @return idCardList
    */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
    * 获取 身份证号码
    * @return idCardNotList
    */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
    * 设置 身份证号码
    * @param idCardNotList
    */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
    * 获取 开始 服务频次
    * @return serviceFrequencyStart
    */
    public Long getServiceFrequencyStart(){
        return this.serviceFrequencyStart;
    }

    /**
    * 设置 开始 服务频次
    * @param serviceFrequencyStart
    */
    public void setServiceFrequencyStart(Long serviceFrequencyStart){
        this.serviceFrequencyStart = serviceFrequencyStart;
    }

    /**
    * 获取 结束 服务频次
    * @return $serviceFrequencyEnd
    */
    public Long getServiceFrequencyEnd(){
        return this.serviceFrequencyEnd;
    }

    /**
    * 设置 结束 服务频次
    * @param serviceFrequencyEnd
    */
    public void setServiceFrequencyEnd(Long serviceFrequencyEnd){
        this.serviceFrequencyEnd = serviceFrequencyEnd;
    }

    /**
    * 获取 增加 服务频次
    * @return serviceFrequencyIncrement
    */
    public Long getServiceFrequencyIncrement(){
        return this.serviceFrequencyIncrement;
    }

    /**
    * 设置 增加 服务频次
    * @param serviceFrequencyIncrement
    */
    public void setServiceFrequencyIncrement(Long serviceFrequencyIncrement){
        this.serviceFrequencyIncrement = serviceFrequencyIncrement;
    }

    /**
    * 获取 服务频次
    * @return serviceFrequencyList
    */
    public List<Long> getServiceFrequencyList(){
        return this.serviceFrequencyList;
    }

    /**
    * 设置 服务频次
    * @param serviceFrequencyList
    */
    public void setServiceFrequencyList(List<Long> serviceFrequencyList){
        this.serviceFrequencyList = serviceFrequencyList;
    }

    /**
    * 获取 服务频次
    * @return serviceFrequencyNotList
    */
    public List<Long> getServiceFrequencyNotList(){
        return this.serviceFrequencyNotList;
    }

    /**
    * 设置 服务频次
    * @param serviceFrequencyNotList
    */
    public void setServiceFrequencyNotList(List<Long> serviceFrequencyNotList){
        this.serviceFrequencyNotList = serviceFrequencyNotList;
    }


    /**
    * 获取 开始 跟踪时间
    * @return trackingTimeStart
    */
    public String getTrackingTimeStart(){
        return this.trackingTimeStart;
    }

    /**
    * 设置 开始 跟踪时间
    * @param trackingTimeStart
    */
    public void setTrackingTimeStart(String trackingTimeStart){
        this.trackingTimeStart = trackingTimeStart;
    }

    /**
    * 获取 结束 跟踪时间
    * @return trackingTimeEnd
    */
    public String getTrackingTimeEnd(){
        return this.trackingTimeEnd;
    }

    /**
    * 设置 结束 跟踪时间
    * @param trackingTimeEnd
    */
    public void setTrackingTimeEnd(String trackingTimeEnd){
        this.trackingTimeEnd = trackingTimeEnd;
    }

    /**
    * 获取 开始 创建方式(1.人工创建,2.系统推荐)
    * @return createWayStart
    */
    public Integer getCreateWayStart(){
        return this.createWayStart;
    }

    /**
    * 设置 开始 创建方式(1.人工创建,2.系统推荐)
    * @param createWayStart
    */
    public void setCreateWayStart(Integer createWayStart){
        this.createWayStart = createWayStart;
    }

    /**
    * 获取 结束 创建方式(1.人工创建,2.系统推荐)
    * @return $createWayEnd
    */
    public Integer getCreateWayEnd(){
        return this.createWayEnd;
    }

    /**
    * 设置 结束 创建方式(1.人工创建,2.系统推荐)
    * @param createWayEnd
    */
    public void setCreateWayEnd(Integer createWayEnd){
        this.createWayEnd = createWayEnd;
    }

    /**
    * 获取 增加 创建方式(1.人工创建,2.系统推荐)
    * @return createWayIncrement
    */
    public Integer getCreateWayIncrement(){
        return this.createWayIncrement;
    }

    /**
    * 设置 增加 创建方式(1.人工创建,2.系统推荐)
    * @param createWayIncrement
    */
    public void setCreateWayIncrement(Integer createWayIncrement){
        this.createWayIncrement = createWayIncrement;
    }

    /**
    * 获取 创建方式(1.人工创建,2.系统推荐)
    * @return createWayList
    */
    public List<Integer> getCreateWayList(){
        return this.createWayList;
    }

    /**
    * 设置 创建方式(1.人工创建,2.系统推荐)
    * @param createWayList
    */
    public void setCreateWayList(List<Integer> createWayList){
        this.createWayList = createWayList;
    }

    /**
    * 获取 创建方式(1.人工创建,2.系统推荐)
    * @return createWayNotList
    */
    public List<Integer> getCreateWayNotList(){
        return this.createWayNotList;
    }

    /**
    * 设置 创建方式(1.人工创建,2.系统推荐)
    * @param createWayNotList
    */
    public void setCreateWayNotList(List<Integer> createWayNotList){
        this.createWayNotList = createWayNotList;
    }


    /**
    * 获取 操作人员
    * @return operatorList
    */
    public List<String> getOperatorList(){
        return this.operatorList;
    }

    /**
    * 设置 操作人员
    * @param operatorList
    */
    public void setOperatorList(List<String> operatorList){
        this.operatorList = operatorList;
    }

    /**
    * 获取 操作人员
    * @return operatorNotList
    */
    public List<String> getOperatorNotList(){
        return this.operatorNotList;
    }

    /**
    * 设置 操作人员
    * @param operatorNotList
    */
    public void setOperatorNotList(List<String> operatorNotList){
        this.operatorNotList = operatorNotList;
    }

    /**
    * 获取 开始 是否追踪 (0.否，1.是)
    * @return trackStart
    */
    public Integer getTrackStart(){
        return this.trackStart;
    }

    /**
    * 设置 开始 是否追踪 (0.否，1.是)
    * @param trackStart
    */
    public void setTrackStart(Integer trackStart){
        this.trackStart = trackStart;
    }

    /**
    * 获取 结束 是否追踪 (0.否，1.是)
    * @return $trackEnd
    */
    public Integer getTrackEnd(){
        return this.trackEnd;
    }

    /**
    * 设置 结束 是否追踪 (0.否，1.是)
    * @param trackEnd
    */
    public void setTrackEnd(Integer trackEnd){
        this.trackEnd = trackEnd;
    }

    /**
    * 获取 增加 是否追踪 (0.否，1.是)
    * @return trackIncrement
    */
    public Integer getTrackIncrement(){
        return this.trackIncrement;
    }

    /**
    * 设置 增加 是否追踪 (0.否，1.是)
    * @param trackIncrement
    */
    public void setTrackIncrement(Integer trackIncrement){
        this.trackIncrement = trackIncrement;
    }

    /**
    * 获取 是否追踪 (0.否，1.是)
    * @return trackList
    */
    public List<Integer> getTrackList(){
        return this.trackList;
    }

    /**
    * 设置 是否追踪 (0.否，1.是)
    * @param trackList
    */
    public void setTrackList(List<Integer> trackList){
        this.trackList = trackList;
    }

    /**
    * 获取 是否追踪 (0.否，1.是)
    * @return trackNotList
    */
    public List<Integer> getTrackNotList(){
        return this.trackNotList;
    }

    /**
    * 设置 是否追踪 (0.否，1.是)
    * @param trackNotList
    */
    public void setTrackNotList(List<Integer> trackNotList){
        this.trackNotList = trackNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人ID
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人ID
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人ID
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人ID
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人ID
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人ID
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID
    * @param id
    */
    public CareConstraintQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID
    * @param idStart
    */
    public CareConstraintQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID
    * @param idEnd
    */
    public CareConstraintQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID
    * @param idIncrement
    */
    public CareConstraintQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public CareConstraintQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID
        * @param idNotList
        */
        public CareConstraintQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点Id
    * @param siteId
    */
    public CareConstraintQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public CareConstraintQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public CareConstraintQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public CareConstraintQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public CareConstraintQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id
        * @param siteIdNotList
        */
        public CareConstraintQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public CareConstraintQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public CareConstraintQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  人员ID
    * @param personId
    */
    public CareConstraintQuery personId(Long personId){
	    setPersonId(personId);
		return this;
    }
	
	 /**
    * 设置 开始 人员ID
    * @param personIdStart
    */
    public CareConstraintQuery personIdStart(Long personIdStart){
		this.personIdStart = personIdStart;
		return this;
    }

    /**
    * 设置 结束 人员ID
    * @param personIdEnd
    */
    public CareConstraintQuery personIdEnd(Long personIdEnd){
		this.personIdEnd = personIdEnd;
		return this;
    }

    /**
    * 设置 增加 人员ID
    * @param personIdIncrement
    */
    public CareConstraintQuery personIdIncrement(Long personIdIncrement){
		this.personIdIncrement = personIdIncrement;
		return this;
    }

    /**
    * 设置 人员ID
    * @param personIdList
    */
    public CareConstraintQuery personIdList(List<Long> personIdList){
        this.personIdList = personIdList;
		return this;
        }

        /**
        * 设置 人员ID
        * @param personIdNotList
        */
        public CareConstraintQuery personIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
        return this;
        }


	/**
    * 设置 姓名
    * @param name
    */
    public CareConstraintQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public CareConstraintQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 联系方式
    * @param contact
    */
    public CareConstraintQuery contact(String contact){
        setContact(contact);
		return this;
    }

    /**
    * 设置 联系方式
    * @param contactList
    */
    public CareConstraintQuery contactList(List<String> contactList){
        this.contactList = contactList;
		return this;
    }


	/**
    * 设置 身份证号码
    * @param idCard
    */
    public CareConstraintQuery idCard(String idCard){
        setIdCard(idCard);
		return this;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public CareConstraintQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
		return this;
    }

    /**
    * 设置  服务频次
    * @param serviceFrequency
    */
    public CareConstraintQuery serviceFrequency(Long serviceFrequency){
	    setServiceFrequency(serviceFrequency);
		return this;
    }
	
	 /**
    * 设置 开始 服务频次
    * @param serviceFrequencyStart
    */
    public CareConstraintQuery serviceFrequencyStart(Long serviceFrequencyStart){
		this.serviceFrequencyStart = serviceFrequencyStart;
		return this;
    }

    /**
    * 设置 结束 服务频次
    * @param serviceFrequencyEnd
    */
    public CareConstraintQuery serviceFrequencyEnd(Long serviceFrequencyEnd){
		this.serviceFrequencyEnd = serviceFrequencyEnd;
		return this;
    }

    /**
    * 设置 增加 服务频次
    * @param serviceFrequencyIncrement
    */
    public CareConstraintQuery serviceFrequencyIncrement(Long serviceFrequencyIncrement){
		this.serviceFrequencyIncrement = serviceFrequencyIncrement;
		return this;
    }

    /**
    * 设置 服务频次
    * @param serviceFrequencyList
    */
    public CareConstraintQuery serviceFrequencyList(List<Long> serviceFrequencyList){
        this.serviceFrequencyList = serviceFrequencyList;
		return this;
        }

        /**
        * 设置 服务频次
        * @param serviceFrequencyNotList
        */
        public CareConstraintQuery serviceFrequencyNotList(List<Long> serviceFrequencyNotList){
        this.serviceFrequencyNotList = serviceFrequencyNotList;
        return this;
        }


    /**
    * 设置  创建方式(1.人工创建,2.系统推荐)
    * @param createWay
    */
    public CareConstraintQuery createWay(Integer createWay){
	    setCreateWay(createWay);
		return this;
    }
	
	 /**
    * 设置 开始 创建方式(1.人工创建,2.系统推荐)
    * @param createWayStart
    */
    public CareConstraintQuery createWayStart(Integer createWayStart){
		this.createWayStart = createWayStart;
		return this;
    }

    /**
    * 设置 结束 创建方式(1.人工创建,2.系统推荐)
    * @param createWayEnd
    */
    public CareConstraintQuery createWayEnd(Integer createWayEnd){
		this.createWayEnd = createWayEnd;
		return this;
    }

    /**
    * 设置 增加 创建方式(1.人工创建,2.系统推荐)
    * @param createWayIncrement
    */
    public CareConstraintQuery createWayIncrement(Integer createWayIncrement){
		this.createWayIncrement = createWayIncrement;
		return this;
    }

    /**
    * 设置 创建方式(1.人工创建,2.系统推荐)
    * @param createWayList
    */
    public CareConstraintQuery createWayList(List<Integer> createWayList){
        this.createWayList = createWayList;
		return this;
        }

        /**
        * 设置 创建方式(1.人工创建,2.系统推荐)
        * @param createWayNotList
        */
        public CareConstraintQuery createWayNotList(List<Integer> createWayNotList){
        this.createWayNotList = createWayNotList;
        return this;
        }


	/**
    * 设置 操作人员
    * @param operator
    */
    public CareConstraintQuery operator(String operator){
        setOperator(operator);
		return this;
    }

    /**
    * 设置 操作人员
    * @param operatorList
    */
    public CareConstraintQuery operatorList(List<String> operatorList){
        this.operatorList = operatorList;
		return this;
    }

    /**
    * 设置  是否追踪 (0.否，1.是)
    * @param track
    */
    public CareConstraintQuery track(Integer track){
	    setTrack(track);
		return this;
    }
	
	 /**
    * 设置 开始 是否追踪 (0.否，1.是)
    * @param trackStart
    */
    public CareConstraintQuery trackStart(Integer trackStart){
		this.trackStart = trackStart;
		return this;
    }

    /**
    * 设置 结束 是否追踪 (0.否，1.是)
    * @param trackEnd
    */
    public CareConstraintQuery trackEnd(Integer trackEnd){
		this.trackEnd = trackEnd;
		return this;
    }

    /**
    * 设置 增加 是否追踪 (0.否，1.是)
    * @param trackIncrement
    */
    public CareConstraintQuery trackIncrement(Integer trackIncrement){
		this.trackIncrement = trackIncrement;
		return this;
    }

    /**
    * 设置 是否追踪 (0.否，1.是)
    * @param trackList
    */
    public CareConstraintQuery trackList(List<Integer> trackList){
        this.trackList = trackList;
		return this;
        }

        /**
        * 设置 是否追踪 (0.否，1.是)
        * @param trackNotList
        */
        public CareConstraintQuery trackNotList(List<Integer> trackNotList){
        this.trackNotList = trackNotList;
        return this;
        }


    /**
    * 设置  创建人ID
    * @param createUserId
    */
    public CareConstraintQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public CareConstraintQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public CareConstraintQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public CareConstraintQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public CareConstraintQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人ID
        * @param createUserIdNotList
        */
        public CareConstraintQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人ID
    * @param updateUserId
    */
    public CareConstraintQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public CareConstraintQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public CareConstraintQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public CareConstraintQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public CareConstraintQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人ID
        * @param updateUserIdNotList
        */
        public CareConstraintQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CareConstraintQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CareConstraintQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CareConstraintQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CareConstraintQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}